Bug 891825 - (CVE-2013-0744) CVE-2013-0744 Mozilla: Use-after-free when displaying table with many columns and column groups (MFSA 2013-05)
CVE-2013-0744 Mozilla: Use-after-free when displaying table with many columns...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130108,repor...
: Security
Depends On:
Blocks: 890133
  Show dependency treegraph
 
Reported: 2013-01-04 00:35 EST by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 12:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-01-04 00:35:19 EST
Using the Address Sanitizer tool, security researcher Atte Kettunen from OUSPG discovered that the combination of large numbers of columns and column groups in a table could cause the array containing the columns during rendering to overwrite itself. This can lead to a user-after-free causing a potentially exploitable crash. 


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-05.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Atte Kettunen as the original reporter.
Comment 1 errata-xmlrpc 2013-01-08 16:17:09 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0145 https://rhn.redhat.com/errata/RHSA-2013-0145.html
Comment 2 errata-xmlrpc 2013-01-08 16:39:02 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0144 https://rhn.redhat.com/errata/RHSA-2013-0144.html

Note You need to log in before you can comment on or make changes to this bug.